{
  "type" : "record",
  "name" : "StructuralVariation",
  "namespace" : "org.opencb.biodata.models.variant.avro",
  "fields" : [ {
    "name" : "ciStartLeft",
    "type" : [ "null", "int" ]
  }, {
    "name" : "ciStartRight",
    "type" : [ "null", "int" ]
  }, {
    "name" : "ciEndLeft",
    "type" : [ "null", "int" ]
  }, {
    "name" : "ciEndRight",
    "type" : [ "null", "int" ]
  }, {
    "name" : "copyNumber",
    "type" : [ "null", "int" ],
    "doc" : "* Number of copies for CNV variants."
  }, {
    "name" : "leftSvInsSeq",
    "type" : [ "null", "string" ],
    "doc" : "* Inserted sequence for long INS\n        *"
  }, {
    "name" : "rightSvInsSeq",
    "type" : [ "null", "string" ]
  }, {
    "name" : "type",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "StructuralVariantType",
      "doc" : "* Type of structural variation\n     * <ul>\n     * <li>COPY_NUMBER_GAIN for CNVs</li>\n     * <li>COPY_NUMBER_LOSS for CNVs</li>\n     * <li>TANDEM_DUPLICATION for DUP</li>\n     * </ul>",
      "symbols" : [ "COPY_NUMBER_GAIN", "COPY_NUMBER_LOSS", "TANDEM_DUPLICATION" ]
    } ],
    "doc" : "* Structural variation type: COPY_NUMBER_GAIN, COPY_NUMBER_LOSS, TANDEM_DUPLICATION, ..."
  } ]
}
